/*
 * abiathar - wiegand.h
 *
 * Copyright (C) 2019  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef __WIEGAND_H
#define __WIEGAND_H

int wiegand_init(unsigned int dev, unsigned int data0, unsigned int data1);
int wiegand_read(unsigned int dev, unsigned int reg);
int wiegand_write(unsigned int dev, unsigned int value, unsigned int reg);
void wiegand_poll(void);

#endif
