/*
 * abiathar - rtu.h
 *
 * Copyright (C) 2019  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef __RTU_H
#define __RTU_H

struct rtu;

struct rtu *rtu_init(struct tty_struct *tty,
		void (*callback)(struct rtu *p, const unsigned char *frame,
			unsigned int len));
void rtu_poll(struct rtu *p);
int rtu_xmit(struct rtu *p, unsigned char *frame, unsigned int len);

#endif
